Bug 1174839 (kf5-kcm_touchpad) - kcm_touchpad kf5 port
Summary: kcm_touchpad kf5 port
Keywords:
Status: CLOSED RAWHIDE
Alias: kf5-kcm_touchpad
Product: Fedora
Classification: Fedora
Component: kcm_touchpad
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Kofler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5 1181565
TreeView+ depends on / blocked
 
Reported: 2014-12-16 15:20 UTC by Rex Dieter
Modified: 2015-02-18 16:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-12 19:51:57 UTC


Attachments (Terms of Use)

Description Rex Dieter 2014-12-16 15:20:48 UTC
$Subject says it all, would be very nice to have a kcm_touchpad ported for use in plasma5

Comment 1 Kevin Kofler 2014-12-20 01:12:18 UTC
The KF5 port is here:
https://projects.kde.org/projects/kdereview/kcm-touchpad/repository/show?rev=frameworks
and apparently they want to release it officially as part of Plasma 5.2.

Comment 2 Kevin Kofler 2015-01-16 22:00:57 UTC
It looks like official inclusion into Plasma 5 has been postponed to 5.3 (because it disables some features of the previously-merged ktouchpadenabler, those features are now being added to kcm_touchpad), we need to package what's there for now. (We have not shipped ktouchpadenabler for Plasma 4 anyway.)

Comment 3 Rex Dieter 2015-02-12 19:51:57 UTC
%changelog
* Thu Feb 12 2015 Rex Dieter <rdieter@fedoraproject.org> - 5.1.95-1
- Plasma 5.1.95
- plus post-5.1.95 commits, including new libinput support


Note You need to log in before you can comment on or make changes to this bug.